package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TWarehouse;
import com.chinaitop.depot.intelligent.basicdata.model.TWarehouseExample;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface TWarehouseMapper {
    int countByExample(TWarehouseExample example);

    int deleteByExample(TWarehouseExample example);

    int deleteByPrimaryKey(String id);

    int insert(TWarehouse record);

    int insertSelective(TWarehouse record);

    List<TWarehouse> selectByExample(TWarehouseExample example);

    TWarehouse selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TWarehouse record, @Param("example") TWarehouseExample example);

    int updateByExample(@Param("record") TWarehouse record, @Param("example") TWarehouseExample example);

    int updateByPrimaryKeySelective(TWarehouse record);

    int updateByPrimaryKey(TWarehouse record);


}